-- This package should cover all non-project specific avalon_mm types, constraints and functions

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package avalon_mm_pkg is

  constant BASIC_REGISTER_ADDRESS_WIDTH     : natural := 16;
  constant BASIC_REGISTER_BURST_COUNT_WIDTH : natural := 8;
  constant BASIC_REGISTER_DATA_WIDTH        : natural := 32;

  type BASIC_REGISTER_ADDRESS_ARRAY     is array (natural range <> of std_logic_vector(BASIC_REGISTER_ADDRESS_WIDTH     - 1 downto 0);
  type BASIC_REGISTER_DATA_ARRAY        is array (natural range <> of std_logic_vector(BASIC_REGISTER_DATA_ARRAY        - 1 downto 0);
  type BASIC_REGISTER_BURST_COUNT_ARRAY is array (natural range <> of std_logic_vector(BASIC_REGISTER_BURST_COUNT_ARRAY - 1 downto 0);

end package;